package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * TipoPago generated by hbm2java
 */
@Entity
@Table(name="tipo_pago"
    ,catalog="sistema_ventas"
)
public class TipoPago  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idtpago;
     private String tipo;
     private Set<FacturaEncabezado> facturaEncabezados = new HashSet<FacturaEncabezado>(0);

    public TipoPago() {
    }

    public TipoPago(String tipo, Set<FacturaEncabezado> facturaEncabezados) {
       this.tipo = tipo;
       this.facturaEncabezados = facturaEncabezados;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idtpago", unique=true, nullable=false)
    public Integer getIdtpago() {
        return this.idtpago;
    }
    
    public void setIdtpago(Integer idtpago) {
        this.idtpago = idtpago;
    }

    
    @Column(name="tipo", length=50)
    public String getTipo() {
        return this.tipo;
    }
    
    public void setTipo(String tipo) {
        this.tipo = tipo;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="tipoPago")
    public Set<FacturaEncabezado> getFacturaEncabezados() {
        return this.facturaEncabezados;
    }
    
    public void setFacturaEncabezados(Set<FacturaEncabezado> facturaEncabezados) {
        this.facturaEncabezados = facturaEncabezados;
    }




}


